<?xml version="1.0" encoding="utf-8"?><testclasses><promotionengineservices><testclass>de.hybris.platform.promotionengineservices.test.configuration.PromotionEngineTestSupportSwitchService</testclass><testclass>de.hybris.platform.promotionengineservices.spocktests.AbstractPromotionEngineServicesSpockTest</testclass><testclass>de.hybris.platform.promotionengineservices.compiler.strategies.impl.DefaultProductConditionResolutionStrategyUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.populators.PromotionEngineResultsPopulatorTest</testclass><testclass>de.hybris.platform.promotionengineservices.compiler.listeners.PromotionRuleCompilerListenerUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.PromotionEngineServiceBaseTest</testclass><testclass>de.hybris.platform.promotionengineservices.action.impl.DefaultPotentialPromotionMessageActionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.commerce.DefaultRAOActionTest</testclass><testclass>de.hybris.platform.promotionengineservices.compiler.strategies.impl.DefaultCatConditionResolutionStrategyUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.populators.PromotionEngineResultPopulatorTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultEntryDiscountsPromotionEngineServiceIntegrationTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.populators.OrderEntryDiscountPromotionEngineResultsPopulatorTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultPromotionActionServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.action.impl.DefaultShippingActionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.spocktests.CartPromotionRulesSpec</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultCategoryResolutionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.assertions.PromotionEngineServicesAssertions</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.impl.DefaultReportPromotionServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.interceptors.PromotionRulePrepareInterceptorUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.builder.PromotionResultMockBuilder</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultPromotionEngineServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.concurrent.ConcurrentPromotionEngineServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.validators.DefaultRuleBasedPromotionsContextValidatorIT</testclass><testclass>de.hybris.platform.promotionengineservices.action.impl.DefaultAddProductToCartActionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.action.impl.DefaultOrderAdjustTotalActionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultPromotionEngineResultServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.action.strategies.QualifyingCategoryPotentialPromotionMessageActionSupplementStrategyUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.interceptors.RuleBasePrepareInterceptorIT</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.populators.NonDiscountPromotionEngineResultsClassifyingPopulatorTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultCurrencyAmountResolutionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.action.strategies.QualifyingProductPotentialPromotionMessageActionSupplementStrategyUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.spocktests.CustomerPromotionRulesSpec</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.report.populators.OrderDiscountPromotionEngineResultsPopulatorTest</testclass><testclass>de.hybris.platform.promotionengineservices.action.DefaultRuleActionServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.dao.impl.DefaultPromotionSourceRuleDaoIT</testclass><testclass>de.hybris.platform.promotionengineservices.rao.util.CartRAOBuilderTest</testclass><testclass>de.hybris.platform.promotionengineservices.spocktests.PromotionRulesSpec</testclass><testclass>de.hybris.platform.promotionengineservices.action.strategies.CartTotalThresholdPotentialPromotionMessageActionSupplementStrategyUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.assertions.PromotionResultAssert</testclass><testclass>de.hybris.platform.promotionengineservices.action.impl.DefaultOrderEntryAdjustActionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.util.PromotionResultUtilsUnitTest</testclass><testclass>de.hybris.platform.promotionengineservices.versioning.PromotionResultVersioningIT</testclass><testclass>de.hybris.platform.promotionengineservices.validators.DefaultRuleBasedPromotionsContextValidatorTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultIntegrationPromotionActionServiceTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultProductResolutionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultPromotionEnginePerfTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultListResolutionStrategyTest</testclass><testclass>de.hybris.platform.promotionengineservices.promotionengine.impl.DefaultPromotionEngineUnitTest</testclass></promotionengineservices></testclasses>